Bug 85714 - Single Page Printing in LibreOffice
Summary: Single Page Printing in LibreOffice
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 Daily
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-31 18:53 UTC by Frank
Modified: 2015-09-04 03:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank 2014-10-31 18:53:20 UTC
This was originally part of Bug Report # 77265 "Possible LibreOffice Duplex Printing Bug."

Most problems reported in bug 77265 have been addressed, so I've closed that and opened this new one.

I am using LibreOffice Version: 4.3.3.2, Build ID: 9bb7eadab57b6755b1265afa86e04bf45fbfc644 on Ubuntu 64 bit 14.04 LTS.

When using the using the Operating System printing dialogs, the "current page" radio button is disabled, so in order to print the current page, the "Pages" radio button must be checked and the specific page number must be entered (it is not there by default as one might expect from the behavior of other applications).

In the LibreOffice printing dialogs, the number of the current page is already displayed in the corresponding choice, which is handier.

Normally, this would not be such an annoyance, except that I have quite a few large documents that have initial sections with Roman Numerals as page numbers and it is fairly easy to enter an incorrect page number when in a rush.
Comment 1 A (Andy) 2014-10-31 20:51:45 UTC
Could you please give more information about the steps to reproduce and the following paragraph:
"When using the Operating System printing dialogs, the "current page" radio button is disabled, so in order to print the current page, the "Pages" radio button must be checked and the specific page number must be entered (it is not there by default as one might expect from the behavior of other applications)."

What do you mean with OS printing dialogs? ... TOOLS -> OPTIONS -> LIBREOFFICE -> GENERAL -> Use LibreOffice dialogue boxes (?)

Where do you have a current page radio button? ... FILE -> PRINT -> tab GENERAL (?)
Comment 2 Frank 2014-11-01 10:40:43 UTC
Sorry if the explanation wasn't clear - the "guesses" you proposed were all correct, so is it that you simply can't reproduce this behavior?

This behavior has existed in both 64-bit Ubuntu 12.04 (which I was using when I originally posted the bug) and 64-bit Ubuntu 14.04, but I don't have any other operating systems installed at the moment so can't check their behavior. At any rate, here's how I get the behavior:

Step 1:
Open a Writer Document - go to some arbitrary page and click the mouse; this sets what I am referring to as the "current page."

Step 2:
(as you surmised) Use the menu sequence "Tools | Options | General | Print Dialogs": Insure that "Use LibreOffice Dialogs" is Unchecked. (This causes LibreOffice to use the printing dialog boxes supplied by the Operating System - in my case the operating system is 64-bit Ubuntu 14.04)

Step 3:
(again, as you surmised) Use the menu sequence "File | Print" and insure that the "General" tab is the one displayed. In the lower "Range" section there is a grouping of three radio buttons labeled "All Pages", "Current Page", and "Pages". The problem I am describing is that the "Current Page" radio button is always disabled ("greyed out") and there is no page number in the input box adjacent to that radio button when using LibreOffice Writer.

In the operating system printing dialog, the other tabs differ based on the printer that is selected as well as the application that is calling the dialog. For instance, the "LibreOffice Writer" tab is only present when called from Writer. So Writer seems to be sharing at least some information with the OS - just not the current page.

Although the issue I describe could (so far) be related to either the operating system or the application, the reason I suspect the application (Writer) is that the identical OS printing dialog is used with other applications and all those I have looked at show the current page number filled in next to the "Current Page" radio button.

It would therefore seem that Writer is not passing this information to the operating system's dialog box, at least in 64 bit versions of Ubuntu.

If there are further questions, or things you would like me to try, let me know.
Comment 3 Frank 2014-11-01 13:34:53 UTC
In order to respond to the request above, I upgraded my LibreOffice version from 4.3.2.2 to 4.3.3.2. Since posting the most recent response, I have had the opportunity to attempt actually printing something from Writer and discovered another possible bug.

For the record, I am using LibreOffice Version: 4.3.3.2, Build ID: 9bb7eadab57b6755b1265afa86e04bf45fbfc644 on Ubuntu 64 bit 14.04 LTS.

When using either the LibreOffice or the Operating System dialogs (in other words, it makes no difference if "Use LibreOffice Dialogs" is Checked or Unchecked in "Tools | Options | General | Print Dialogs"), Writer will NOT honor my request to print dual-sided.

I exported the document to pdf in order to print it double sided, but this is annoying. I generally export to pdf anyway because Writer isn't good with handling top and bottom margins on double-sided printouts, so I can't honestly say that a failure to print double-sided is a "new" bug with 4.3.3 - in fact I suspect it isn't, since I have a vague recollection of this happening before - and I just assumed that I had inadvertently changed the setting before printing. This time, I repeated the steps several times and it doesn't seem like anything I'm doing wrong.

I understand that there probably isn't any sort of comprehensive test of printing, since there are so many variables involved, but hopefully these symptoms are related to the same section of code and can be addressed in a future fix.

Again, I don't have much time to spare, but if there are questions I can answer or things I can confirm, please let me know.
Comment 4 A (Andy) 2014-11-01 13:55:09 UTC
Thank you very much for your very fast reply.

Unfortunately, the issue you reported (your comment 2) is for me not reproducible with LO 4.3.3.2, Win 8.1.  Everything seems to be fine.  Maybe this is a Linux only issue?

Your second issue (your comment 3) I cannot test, because I have no printer to test it.
Comment 5 Buovjaga 2014-11-15 13:21:43 UTC
I don't even see any "Current page" radio button.

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29

and

Version: 4.3.3.2
Build ID: 430m0(Build:2)
Comment 6 Frank 2014-11-16 12:45:18 UTC
You are using Ubuntu 14.10 so maybe, as Andy suggested, the Linux version is a contributing factor - if so, perhaps 14.10 is just smarter and doesn't display an unrequested "Current Page" element. Of course, you're also using a later Alpha version of LibreOffice, so its hard to tell.

For me at least, removing the button just hides the problem rather than fixing it, as the ability to select the current page seems like a pretty fundamental capability.

I usually only use the LTS (Long Term Support) versions of Ubuntu, though, so have no plans to update to 14.10 and won't be able to confirm this.

But - the inability to select the current page is merely an annoyance - the fact that Writer ignores any request to print double-sided is (it seems to me) a rather embarassing bug that could only have been introduced rather recently. Such a feature effectively renders any additional expense of acquiring a double-sided printer a waste. As I said, though, even when it did work from Writer, it didn't seem to understand how to handle short-edge margins correctly when printing double-sided (most such printers need a little extra non-printing space to "grab" the printer while flipping the paper), so I've gotten in the habit of exporting to pdf and then printing from a pdf reader (Okular and Adobe both handle such things correctly as far as I can tell).

But - just in case - I reconfirmed the points I made in my earlier postings (Comments 2 and 3).

Frank
Comment 7 Robinson Tryon (qubit) 2014-12-29 06:20:49 UTC
TESTING with LO 4.3.5.2 on Ubuntu 14.04 (x86-64)

(In reply to Frank from comment #2)

REPRO steps
> Step 1:
> Open a Writer Document - go to some arbitrary page and click the mouse; this
> sets what I am referring to as the "current page."

k

> Step 2:
> (as you surmised) Use the menu sequence "Tools | Options | General | Print
> Dialogs": Insure that "Use LibreOffice Dialogs" is Unchecked. (This causes
> LibreOffice to use the printing dialog boxes supplied by the Operating
> System - in my case the operating system is 64-bit Ubuntu 14.04)

k

> Step 3:
> (again, as you surmised) Use the menu sequence "File | Print" and insure
> that the "General" tab is the one displayed. In the lower "Range" section
> there is a grouping of three radio buttons labeled "All Pages", "Current
> Page", and "Pages". 

For me it's:
( ) All pages
( ) Pages [box for range of numbers]
( ) Selection [greyed-out]

> The problem I am describing is that the "Current Page"
> radio button is always disabled ("greyed out") and there is no page number
> in the input box adjacent to that radio button when using LibreOffice Writer.

NOREPRO: 
- There's a page number (currently "3")
- The text box is greyed-out when the radio button is not selected (but is live once the radio button *is* selected)

> In the operating system printing dialog, the other tabs differ based on the
> printer that is selected as well as the application that is calling the
> dialog. For instance, the "LibreOffice Writer" tab is only present when
> called from Writer. So Writer seems to be sharing at least some information
> with the OS - just not the current page.
> 
> Although the issue I describe could (so far) be related to either the
> operating system or the application, the reason I suspect the application
> (Writer) is that the identical OS printing dialog is used with other
> applications and all those I have looked at show the current page number
> filled in next to the "Current Page" radio button.

Not sure what to say: I can't reproduce on my system.

> It would therefore seem that Writer is not passing this information to the
> operating system's dialog box, at least in 64 bit versions of Ubuntu.

Just to be clear, are you using official TDF builds, or builds from Ubuntu? (And if you haven't already, please try testing the LO 4.4.0.1 RC build)

Status -> NEEDNIFO
Comment 8 Frank 2014-12-29 13:03:26 UTC
Hi Robinson:

Re: "Just to be clear, are you using official TDF builds, or builds from Ubuntu? (And if you haven't already, please try testing the LO 4.4.0.1 RC build)"

I'm currently using 4.3.3.2 (same as referred to in my 10-31 posting above), and just confirmed again that the behavior (at least in Writer) is exactly as I described it. So, I've just gotten used to exporting to pdf and then printing from Adobe Reader when using LO.

I did load 4.4.0.0.alpha2+ in parallel and, as far as I can tell, the printing behavior with OS printing dialogs hasn't changed. This version is still installed, but I can't use it since I regularly use graphics in Frames (which doesn't work at all any more) and that problem (Bug 86578) is still open.

So it really isn't worth the effort to load a later version like the 4.4.0.1RC you suggest, even though the pdf export bugs (size and compression issues) seem to have been addressed in that as far as I can tell.

I suppose Ubuntu might have something to do with my printing issues with LO, but that doesn't seem likely to me as I use a variety of applications (ranging from text to graphics) and all of them act exactly as might be expected. LO (specifically Writer) is also the only application that seems to randomly ignore double-sided printing requests, although I've never been able to pin down any set of conditions under which that happens.

But, thanks for the attempt to reproduce the problem.

Frank
Comment 9 Robinson Tryon (qubit) 2014-12-29 20:43:01 UTC
(In reply to Frank from comment #8)
> I did load 4.4.0.0.alpha2+ in parallel and, as far as I can tell, the
> printing behavior with OS printing dialogs hasn't changed.

weird, weird.
 
> I suppose Ubuntu might have something to do with my printing issues with LO,
> but that doesn't seem likely to me as I use a variety of applications
> (ranging from text to graphics) and all of them act exactly as might be
> expected.

It sounds like you and I are using nearly exactly the same software stack, so I'm not quite sure why you're seeing something different from me.

Two more things to try:
1) Resetting your UserProfile
https://wiki.documentfoundation.org/UserProfile#Resolving_corruption_in_the_user_profile

2) Try another machine

If you happen to have one, or a friend has one, perhaps there's something special about your setup or how you're using LibreOffice?
Comment 10 QA Administrators 2015-07-18 17:35:44 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 11 QA Administrators 2015-09-04 03:01:03 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03